export class MilestoneModel {
  public LoanId            :string;
  public MilestoneName     :string;
  public MilestoneDate     :Date;
  public MilestonePeopleId :string;
  public MilestoneType     :string;

  constructor(payload? : Partial<MilestoneModel>) {
    if (!payload) payload = {};
    this.LoanId = payload.LoanId || '';
    this.MilestoneName = payload.MilestoneName || '';
    if ( payload.MilestoneDate ){
      this.MilestoneDate = new Date (payload.MilestoneDate);
    }else{
      this.MilestoneDate = new Date('1899-12-31');
    }
    this.MilestonePeopleId = payload.MilestonePeopleId || '';
    this.MilestoneType = payload.MilestoneType;
  }
}
